public class Test06 {
	public static void main(String[] args) {
		float hap, a, d;
		hap = a = 1;
		do
		{
			d = 1 / a;
			hap += d;
			a++;
		} while (a <= 10);
		System.out.printf("%f", hap);
	}
}
